import * as React from 'react';
export interface EditorOpts {
    namespace?: string;
    userId?: string;
    userName?: string;
    value?: string;
    height?: number;
    onChange: (string: any) => void;
}
export default class extends React.PureComponent<EditorOpts> {
    state: {
        editorState: any;
    };
    onChange(editorState: any): void;
    componentWillMount(): void;
    render(): JSX.Element;
}
